SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::KeyEvent Struct Reference

Keyboard event parameters (KeyPressed, KeyReleased) More...

`#include <Event.hpp>`

## Public Attributes

Keyboard::Key | code
| Code of the key that has been pressed. More...
bool | alt
| Is the Alt key pressed? More...
bool | control
| Is the Control key pressed? More...
bool | shift
| Is the Shift key pressed? More...
bool | system
| Is the System key pressed? More...

## Detailed Description

Keyboard event parameters (KeyPressed, KeyReleased)

Definition at line 61 of file Event.hpp.

## Member Data Documentation

bool sf::Event::KeyEvent::alt

Is the Alt key pressed?

Definition at line 64 of file Event.hpp.

Keyboard::Key sf::Event::KeyEvent::code

Code of the key that has been pressed.

Definition at line 63 of file Event.hpp.

bool sf::Event::KeyEvent::control

Is the Control key pressed?

Definition at line 65 of file Event.hpp.

bool sf::Event::KeyEvent::shift

Is the Shift key pressed?

Definition at line 66 of file Event.hpp.

bool sf::Event::KeyEvent::system

Is the System key pressed?

Definition at line 67 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp